mint-common (2.0.9) tricia; urgency=medium

  * additionalfiles: Only generate translations for existing MOs

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 12:05:13 +0100

mint-common (2.0.8) tina; urgency=medium

  [ Michael Webster ]
  * _flatpak.py: Create a remote ref directly when installing from a flatpakref file, rather than parsing out a basic ref first.  This handles missing (and possibly unnecessary) info from the ref file.
  * installer.py: Don't skip no-enumerate remotes when checking for differences between the installer's remote list and the FlatpakInstallation's.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Oct 2019 10:14:11 +0100

mint-common (2.0.7) tina; urgency=medium

  [ Michael Webster ]
  * installer: Use json instead of pickle for the package cache. (#37)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Oct 2019 10:03:11 +0100

mint-common (2.0.6) tina; urgency=medium

  [ Michael Webster ]
  * debian/control: remove python dependency
  * _flatpak.py: Don't fail an entire job if one package fails to install (#36)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Sep 2019 10:31:32 +0100

mint-common (2.0.5) tina; urgency=medium

  [ Michael Webster ]
  * dialogs: Set keep-above and skip-taskbar on confirm dialogs when there is no parent window (such as when removing apps from the menu).
  * Use appstream api to choose flatpak icons.
  * pkgInfo.py: allow appstream 'remote' icons
  * pkgInfo.py: Match apt packages against icons ending in -icon from the app-install folder.
  * _flatpak.py: Ignore BaseApp packages.
  * installer: Remove logging line, replace MintInstall logging  references to simply "Installer"
  * _flatpak.py: If no apps are installed, don't try to install theme packages during an update (via mintinstall-update-flatpak).

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Aug 2019 18:15:20 +0200

mint-common (2.0.4) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 13:04:44 +0200

mint-common (2.0.3) tina; urgency=medium

  * Remove python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 11:29:52 +0200

mint-common (2.0.2) tina; urgency=medium

  [ Corbin ]
  * prevent flatpak from always installing remote repo & fix typo

  [ Michael Webster ]
  * _flatpak.py: Add a bit more logging to flatpakref handling, fix an indentation problem.
  * _flatpak.py: Fix condition for ignoring user auth cancel when adding a remote, fix some warnings.
  * Add a script to test installer, imports don't work properly anymore when executing installer.py on its own.
  * _flatpak.py: Add function to return system-matching theme packages for the mintinstall-update-flatpak script.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:31:46 +0200

mint-common (2.0.1) tina; urgency=medium

  * Remove version module
  * apt_changelog fixes
  * mint-remove-application: Sanitize process/subprocess module calls

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 15:20:32 +0200

mint-common (2.0.0) tessa; urgency=medium

  [ gm10 ]
  * Move code into python modules (#30)
  * Add apt_changelog module (#31)

  [ Clement Lefebvre ]
  * l10n: Fix makepot and update POT
  * Remove unused script
  * Turn version.py into a module
  * Remove module version
  * Turn additionalfiles.py into a module

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Feb 2019 11:44:15 +0000

mint-common (1.3.4) tara; urgency=medium

  [ Michael Webster ]
  * Use auth_admin for polkit authentication - this will require an admin user, instead of allowing the current user to perform elevated actions.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Aug 2018 17:45:15 +0200

mint-common (1.3.3) tara; urgency=medium

  [ monsta ]
  * fix runtime dependencies (#28)
  * remove unused scripts (#27)

  [ Clement Lefebvre ]
  * Fix flatpak removals

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 12:36:26 +0100

mint-common (1.3.2) tara; urgency=medium

  * Apt: Force file installation when using install_file()

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Jun 2018 11:52:29 +0100

mint-common (1.3.1) tara; urgency=medium

  [ Clement Lefebvre ]
  * additionalfiles: Add the ability to generate polkit policies

  [ monsta ]
  * remove ancient launch_browser_as.py script (#26)

  [ Clement Lefebvre ]
  * Add support to install local .deb files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 06 Jun 2018 11:58:25 +0100

mint-common (1.3.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Remove progress arguments in synaptic call.
  * Remove mint-which-launcher.py
  * Provide an APTdaemon interface in Python3
  * AptDaemon: Add the ability to remove packages
  * AptDaemon: Call finished callback when the user cancel the installation
  * AptDaemon: Improve callbacks
  * Migrate mint-remove-application to python3/aptdaemon/pkexec

  [ Michael Webster ]
  * mint-remove-application.py: let mintinstall's removal script attempt to uninstall flatpak apps.

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 11:47:25 +0100

mint-common (1.2.9) sylvia; urgency=medium

  * Focus default buttons when using Gtk.MessageDialog.
  * Remove nemo send-by-email action (moved to Nemo)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 11:01:25 +0100

mint-common (1.2.8) sonya; urgency=medium

  * Additionalfiles: Support appending to file
  * Additionalfiles: Set LANGUAGE rather than LANG, only set comment if not None
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 13:20:21 +0100

mint-common (1.2.7) serena; urgency=medium

  [ xenopeek ]
  * version.py: improve performance and update to Python 3 (v2)

 -- Clement Lefebvre <root@linuxmint.com>>  Wed, 02 Nov 2016 14:09:38 +0000

mint-common (1.2.6) sarah; urgency=medium

  * Fixed small bugs in mint-remove-applications

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Jun 2016 18:18:55 +0100

mint-common (1.2.5) sarah; urgency=medium

  [ Michael Webster ]
  * additionalfiles.py: include keyword translations if provided

  [ Clement Lefebvre ]
  * Small fixes in usr/lib/linuxmint/common/mint-remove-application.py

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 May 2016 12:25:00 +0100

mint-common (1.2.4) sarah; urgency=medium

  [ Daniel Alley ]
  * Removed static configobj library

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2016 18:30:26 +0100

mint-common (1.2.3) sarah; urgency=medium

  * Updated generated files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Apr 2016 17:04:27 +0100

mint-common (1.2.2) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Removed entrydialog (no longer used by mint-tools)

  [ Daniel Alley ]
  * PEP8 formatting
  * updated debian/control (was out of date)
  * fixed debian/control typo

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 12:19:34 +0000

mint-common (1.2.1) sarah; urgency=medium

  * Changed shebangs to #!/usr/bin/python2

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Jan 2016 15:59:47 +0000

mint-common (1.2.0) rosa; urgency=medium

  * Fixed packaging regression in 1.1.9

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 08 Nov 2015 22:16:41 +0000

mint-common (1.1.9) rosa; urgency=medium

  [ darealshinji ]
  * delete temporarily created build files
  * update Debian files
  * add missing shebang to shell script
  * mention license of configobj.py

  [ Clement Lefebvre ]
  * Prefer bash
  * [darealshinji] delete python bytecode
  * Updated desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 16:54:48 +0000

mint-common (1.1.8) betsy; urgency=medium

  * Changed the icon for the thunderbird nemo action

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Feb 2015 10:13:07 +0100

mint-common (1.1.7) betsy; urgency=medium

  * Removed /usr/share/pixmaps/faces/user-generic.png (provided by mdm)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Jan 2015 09:58:18 +0100

mint-common (1.1.6) betsy; urgency=medium

  * Updated user pictures in /usr/share/pixmaps/faces

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Jan 2015 09:52:34 +0100

mint-common (1.1.5) qiana; urgency=medium

  * Support GenericName in additionalfiles.py

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 May 2014 13:25:19 +0100

mint-common (1.1.4) qiana; urgency=medium

  * Improved additionalfiles.py

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 May 2014 02:22:41 +0100

mint-common (1.1.3) qiana; urgency=medium

  * Updated desktop files
  * provides additionalfiles.py

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 May 2014 01:39:53 +0100

mint-common (1.1.2) qiana; urgency=medium

  * Correct the syntax for Thunderbird file attachments
  * Added mint-remove-application.py and cinnamon-remove-application
  * Added dep on synaptic

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2014 13:07:20 +0100

mint-common (1.1.1) petra; urgency=low

  * Improved generate_additional_files.py, refreshed translations for email nemo action

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Nov 2013 19:16:27 +0000

mint-common (1.1.0) olivia; urgency=low

  * Added nemo action for thunderbird

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Aug 2013 14:28:58 +0100

mint-common (1.0.9) nadia; urgency=low

  * Added a collection of faces icons

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Jan 2013 16:04:21 +0000

mint-common (1.0.8) maya; urgency=low

  * Added entrydialog

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Jul 2012 14:28:05 +0100

mint-common (1.0.7) maya; urgency=low

  * Added env_check

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jun 2012 14:30:28 +0100

mint-common (1.0.6) lisa; urgency=low

  * Use gksu in KDE if it's installed

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Dec 2011 11:54:24 +0000

mint-common (1.0.5) helena; urgency=low

  * Added dependency on mint-translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  3 Nov 2009 12:23:00 +0000

mint-common (1.0.4) helena; urgency=low

  * Changed translation framework

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  3 Nov 2009 11:38:00 +0000

mint-common (1.0.3) helena; urgency=low

  * Added launch_browser_as.py

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  30 Oct 2009 17:43:00 +0000

mint-common (1.0.2) helena; urgency=low

  * Added a lot of stuff

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Oct 2009 16:41:00 +0000

mint-common (1.0.1) helena; urgency=low

  * Added Linux Mint logo

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Oct 2009 16:24:00 +0000

mint-common (1.0.0) helena; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Oct 2009 14:18:00 +0000

